Loading...
Searching...
No Matches
pappso::specpeptidoms::Location Struct Reference

`#include <locationsaver.h>`

## Public Member Functions

QString | getPeptideString () const
| convenient function to get peptide sequence from location

## Public Attributes

std::size_t | beginning
| start position of the subsequence
std::size_t | length
| length of the subsequence
int | tree
int | score
const SpOMSProtein * | proteinPtr
| Protein accession.

## Detailed Description

Definition at line 48 of file locationsaver.h.

## Member Function Documentation

## getPeptideString()

QString pappso::specpeptidoms::Location::getPeptideString | ( |  | ) | const

convenient function to get peptide sequence from location

Definition at line 44 of file locationsaver.cpp.

{
std::size_t length2;
if((qsizetype)(beginning + length) <= proteinPtr->size())
{
length2 = length;
}
else
{
length2 = proteinPtr->size() - beginning;
}
return proteinPtr->getSequence().sliced(proteinPtr->size() - beginning - length2, length2);
}
pappso::specpeptidoms::Location::length
std::size_t length
length of the subsequence
Definition locationsaver.h:62
pappso::specpeptidoms::Location::beginning
std::size_t beginning
start position of the subsequence
Definition locationsaver.h:58
pappso::specpeptidoms::Location::proteinPtr
const SpOMSProtein * proteinPtr
Protein accession.
Definition locationsaver.h:75

References beginning, length, and proteinPtr.

## Member Data Documentation

## beginning

std::size_t pappso::specpeptidoms::Location::beginning

start position of the subsequence

Definition at line 58 of file locationsaver.h.

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), getPeptideString(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

## length

std::size_t pappso::specpeptidoms::Location::length

length of the subsequence

Definition at line 62 of file locationsaver.h.

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), getPeptideString(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

## proteinPtr

const SpOMSProtein* pappso::specpeptidoms::Location::proteinPtr

Protein accession.

Definition at line 75 of file locationsaver.h.

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), getPeptideString(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

## score

int pappso::specpeptidoms::Location::score

@TODO number of matching peak ?

Definition at line 71 of file locationsaver.h.

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), pappso::specpeptidoms::LocationSaver::locationCompare(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

## tree

int pappso::specpeptidoms::Location::tree

index of the alignment tree

Definition at line 67 of file locationsaver.h.

Referenced by pappso::specpeptidoms::LocationSaver::LocationSaver(), and pappso::specpeptidoms::LocationSaver::resetLocationSaver().

The documentation for this struct was generated from the following files:

- pappsomspp/core/processing/specpeptidoms/locationsaver.h
- pappsomspp/core/processing/specpeptidoms/locationsaver.cpp